#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

TWG_DIRECTORY_ROOT="`dirname "$0"`/.."
TWG_DIRECTORY_ROOT="`cd "$TWG_DIRECTORY_ROOT" && pwd`"
TWG_DIRECTORY_RUNTIME="$TWG_DIRECTORY_ROOT/lwi/runtime"
TWG_DIRECTORY_AGENTMANAGER="$TWG_DIRECTORY_RUNTIME/agentmanager"
AM_DIRECTORY_PROP="$TWG_DIRECTORY_ROOT/proddata"
AM_DIRECTORY_DATABASE="$TWG_DIRECTORY_RUNTIME/core/DATABASE"
AM_DIRECTORY_CERTS="$TWG_DIRECTORY_AGENTMANAGER/toolkit/certs"
AM_DIRECTORY_LCK="$TWG_DIRECTORY_ROOT/log"
TIVOLI_DIRECTORY_CERTS="$TWG_DIRECTORY_AGENTMANAGER/eclipse/plugins/com.ibm.tivoli.cas.manager/certs"
AM_DIRECTORY_DATA="$TWG_DIRECTORY_ROOT/data/AMData"

let returnValue=0

echo "do you want recover the environment to reconfigure the Agent Manager? Y or N "
read var
if [ $var != Y ] && [ $var != y ] ; then 
    echo "User quit the recover environment program."
	exit 1
fi

FileVar="$AM_DIRECTORY_PROP/agentmanagerconfig.properties"
if [ -f "$FileVar" ] ; then 
    `rm -f $FileVar`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete the agentmanagerconfig.properties file successful."
#	fi
fi

DirectoryVar=$AM_DIRECTORY_DATABASE
if [ -d "$DirectoryVar" ] ; then 
    `rm -rf $DirectoryVar`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete DATABASE Directory successful."
#	fi
fi

DirectoryVar=$AM_DIRECTORY_CERTS
if [ -d "$DirectoryVar" ] ; then 
    `rm -f $DirectoryVar/*`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete files in the CERTS directory successful."
#	fi
fi

FileVar="$AM_DIRECTORY_LCK/agentmanagerlock.lck"
if [ -f "$FileVar" ] ; then 
    `rm -f $FileVar`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete the agentmanagerlock.lck file successful."
#	fi
fi

DirectoryVar=$TIVOLI_DIRECTORY_CERTS
if [ -d "$DirectoryVar" ] ; then 	
    `rm -f $DirectoryVar/*`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete files in the TIVOLI CERTS directory successful."
#	fi
fi

DirectoryVar=$AM_DIRECTORY_DATA
if [ -d "$DirectoryVar" ] ; then
    `rm -rf $DirectoryVar/*`
    rc=$?
    let returnValue=$returnValue+$rc
#	if [ $rc == 0 ] ; then
#       echo "delete files in the AMData Directory directory successful."
#	fi
fi

if [ $returnValue -eq 0 ] ; then
    echo "Cleaning the environment successful."
else
    echo "Cleaning the environment unsuccessful, please delete the files or directories which are not deleted manually."
    exit $returnValue
fi
