#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2008, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

TWG_DIRECTORY_ROOT="`dirname "$0"`/.."
TWG_DIRECTORY_ROOT=`cd "$TWG_DIRECTORY_ROOT" && pwd`
TWG_DIRECTORY_BIN="$TWG_DIRECTORY_ROOT/bin"
TWG_DIRECTORY_DATA="$TWG_DIRECTORY_ROOT/data"
USMI_PLUGINS_DIR="$TWG_DIRECTORY_ROOT/lwi/runtime/USMiMain/eclipse/plugins"
#USMI_CAS_IMPL_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.director.core.kernel_6.3.0"
MaxVersion="0.0.0.0"
versionArray=`ls -l $USMI_PLUGINS_DIR | grep "^d"| grep "com.ibm.director.core.kernel_"`
for versionInArray in $versionArray
    do
	  MaxVersion=$versionInArray
    done
USMI_CAS_IMPL_PLUGIN="$USMI_PLUGINS_DIR/$MaxVersion"
#USMI_LIBS_PLUGIN="$USMI_PLUGINS_DIR/com.tivoli.twg.legacylibs_6.3.0.jar"
versionArray=`ls $USMI_PLUGINS_DIR | grep "com.tivoli.twg.legacylibs_" | grep ".jar"| cut -d'_' -f2 | cut -d'j' -f1|sort`
for versionInArray in $versionArray
    do
	  MaxVersion=$versionInArray
    done
USMI_LIBS_PLUGIN="$USMI_PLUGINS_DIR/com.tivoli.twg.legacylibs_""$MaxVersion""jar"
ICU_JAR="$TWG_DIRECTORY_ROOT/lwi/runtime/agentmanager/toolkit/lib/icu4j.jar"
#SLP_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.usmi.services.slp_6.3.0.jar"
versionArray=`ls $USMI_PLUGINS_DIR | grep "com.ibm.usmi.services.slp_" | grep ".jar"| cut -d'_' -f2 | cut -d'j' -f1|sort`
for versionInArray in $versionArray
    do
	  MaxVersion=$versionInArray
    done
SLP_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.usmi.services.slp_""$MaxVersion""jar"
#USMI_CASSDK_PLUGIN="$USMI_PLUGINS_DIR/com.ibm.director.cassdk_6.3.0"
versionArray=`ls -l $USMI_PLUGINS_DIR | grep "^d"| grep "com.ibm.director.cassdk_"`
for versionInArray in $versionArray
    do
	  MaxVersion=$versionInArray
    done
USMI_CASSDK_PLUGIN="$USMI_PLUGINS_DIR/$MaxVersion"
CORE_PLUGINS_DIR="$TWG_DIRECTORY_ROOT/lwi/runtime/core/eclipse/plugins"
versionArray=`ls $CORE_PLUGINS_DIR | grep "com.ibm.logging.icl_" | grep ".jar"| cut -d'_' -f2 | cut -d'j' -f1|sort`
for versionInArray in $versionArray
    do
	  MaxVersion=$versionInArray
    done
ICL_JAR="$CORE_PLUGINS_DIR/com.ibm.logging.icl_""$MaxVersion""jar"

LWI_DIR="$TWG_DIRECTORY_ROOT/lwi"
. "$LWI_DIR/bin/setJars.sh"

CP="$USMI_CAS_IMPL_PLUGIN/classes/core-kernel.jar"
CP="$CP:$TWG_DIRECTORY_ROOT/lwi/lib/passutils.jar"
CP="$CP:$TWG_DIRECTORY_ROOT/lwi/lib/lwisecurity.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/aspectjrt.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-agent-client.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-aspects.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-manager-client-1.3.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-manager-services.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-rm-nls.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-sdk.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/cas-utils.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/CDB_UTILS.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/CDM.jar"
CP="$CP:$USMI_CASSDK_PLUGIN/lib/gsl.jar"
CP="$CP:$ICU_JAR"
CP="$CP:$SLP_PLUGIN"
CP="$CP:$USMI_LIBS_PLUGIN"
CP="$CP:$WSOSGI_JAR"
CP="$CP:$WEBSERVICES_JAR"
CP="$CP:$ICL_JAR"
CP="$CP:$TWG_DIRECTORY_ROOT/lwi/runtime/agentmanager/toolkit/lib/guid.jar"
cd "$TWG_DIRECTORY_BIN"
"$TWG_DIRECTORY_ROOT/jre/bin/java" -Dtwg.directory.root="$TWG_DIRECTORY_ROOT" \
-Djava.util.logging.config.file="$TWG_DIRECTORY_DATA/usmi-cas-setup.properties" \
-Dagent.directory.root="$TWG_DIRECTORY_ROOT/agent" \
-cp "$CP" com.ibm.usmi.client.cas.setup.CasSetup "$@"
exit $?

