@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2011, 2012 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

setlocal

set DIRECTOR_BIN_DIR=%~dp0
pushd
cd /d %0\..

set DIRECTOR_HOME=%~d0%~p0..
rem SET DIR_HOME=%~d0%~p0..

rem set path to persistence nl1
for %%A in ("%DIRECTOR_HOME%\lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence.nl1_*") do set PERSPLUGINPATHNL1=%%A

REM set up the command line
call "%DIRECTOR_HOME%\lwi\bin\setupCmdLine.bat"

REM set up DB ENV vars
call "%DIRECTOR_HOME%\bin\setup.bat"

set PLATFORM_XML_FILE="%CONF_DIR%\org.eclipse.update\platform.xml"
set PLATFORM_XML_BACKUP_FILE="%CONF_DIR%\org.eclipse.update\.platform.xml.backup"

REM Check to see if we are running, if we are, bail
call "%DIRECTOR_HOME%\lwi\bin\lwistatus" > usmsstatus
find "INACTIVE" < usmsstatus > nul
if errorlevel 1 goto isrunning

if exist "%DIRECTOR_HOME%\bin\smdb.bat" (
   call "%DIRECTOR_HOME%\bin\smdb.bat" start
) 

REM setup our dirs
set CURRENTDIR=%~d0%~p0


REM preexecution validation
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\bin\pdata\pextensions.jar";"%PERSPLUGINPATHNL1%" com.ibm.usmi.kernel.persistence.Validation Validate Migrate %*
if errorlevel 1 goto done

:invokecfgdbcmd


set args=%*
set args=%args:"=%


REM config the DB
set DBCLASSPATH=%DIRECTOR_HOME%\bin;%LWI_DIR%\lib\lwisecurity.jar;%LWI_DIR%\lib\passutils.jar;%DIRECTOR_HOME%\bin\encryptpw.jar;%DIRECTOR_HOME%\bin\cfgdbcmd.jar

"%DIRECTOR_HOME%\jre\bin\java" -classpath "%DBCLASSPATH%" ^
		-DDirHome="%DIRECTOR_HOME%" ^
		-DLWIInstallLocation="%LWI_DIR%" ^
		com.ibm.usmi.install.dbconfig.LWIDbConfig -dbMigrate true -logfile "%DIRECTOR_HOME%\log\smmigrdb.log" %*
if errorlevel 1 goto done

rem
rem set LWI_DEBUG_ARGS=-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=8000,suspend=n
rem

rem -- Execute the framework for migration operation --
@echo off
rem - Package the input arguments up so that they can be accessed by the framework plugin in LWI
rem  - In the case of paths with spaces --> -rspFile "c:\Program Files\ibm\director\proddata\cfgdbcmd.rsp"
rem - The inner quotes need to be removed.  Final packaging needs to looks like this pArgs="-rspFile c:\Program Files\ibm\director\proddata\cfgdbcmd.rsp"
rem - vs problem packaging like this --> pArgs="-rspFile "c:\Program Files\ibm\director\proddata\cfgdbcmd.rsp""
rem - the below set command does a substitution of (") for blank...meaning to delete the quotes

rem ---

copy %PLATFORM_XML_FILE% %PLATFORM_XML_BACKUP_FILE%
call "%DIRECTOR_HOME%\lwi\bin\lwistart.bat" ^
profile.data=database,extended,USMiResource,USMiData com.ibm.lwi.profile=profile.data PDataOperation=Migrate WaitToConnect=true -console=false -noSplash=true pArgs="%args%" 
set prc=%errorlevel%
@echo off
cd %CURRENTDIR%

REM now clean up 
move %PLATFORM_XML_BACKUP_FILE% %PLATFORM_XML_FILE%
del usmsstatus >nul 2>&1
popd
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\bin\pdata\pextensions.jar";"%PERSPLUGINPATHNL1%" com.ibm.usmi.kernel.persistence.Validation ExitStatus %prc%
exit /b %prc%

:isrunning
REM get the translated message....  through java this time.
"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\bin\pdata\pextensions.jar";"%PERSPLUGINPATHNL1%" com.ibm.usmi.kernel.persistence.Validation ServerRunning
popd
exit /b 1

:done
exit /b 1
