@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2007, 2012 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

setlocal
REM something eats the directory stack, so we have to memorize instead. (no pushd)
set USERDIR=%CD%
set BINDIR=%~d0%~p0
cd /d %BINDIR%
set DIRECTOR_HOME=%~d0%~p0..\
SET DIR_HOME=%~d0%~p0..
set LWI_DIR=%BINDIR%..\lwi
call "%DIRECTOR_HOME%lwi\bin\setupCmdLine.bat"

REM set up DB ENV vars
call "%DIRECTOR_HOME%bin\setup.bat"

set CURRENTDIR=%~d0%~p0
set ROOTDIR=%~d0%~p0..\
set LOGFILE=%ROOTDIR%log\reset.log

REM Figure out the path, regardless of patch level
for %%A in ("%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence_*") do set PERSPLUGINPATH=%%A
rem echo %PERSPLUGINPATH%
for %%A in ("%DIRECTOR_HOME%lwi\runtime\USMiData\eclipse\plugins\com.ibm.usmi.kernel.persistence.nl1_*") do set PERSPLUGINPATHNL1=%%A
rem echo %PERSPLUGINPATHNL1%
REM Collapse all the repeats into a one liner
set PERSPROG=-cp "%PERSPLUGINPATH%";"%PERSPLUGINPATHNL1%"  com.ibm.usmi.kernel.persistence.Translate 

REM lots of jumps and odd checks thanks to no OR in BAT, and needing to check multiple inputs.
REM Check for help request
for %%D in ("-h", "--help") DO IF "%1"==%%D ( 
goto usage
)
REM Batch doesn't allow -? in the for loop
if "%1"=="-?" (
goto usage
)

REM Check for the noprompt option
for %%D in (%*) DO IF "-noprompt"=="%%D" ( 
 set NOPROMPT=1
)

for %%D in (%*) DO IF "-l"=="%%D" ( 
 set SMVERBOSE=1
)

if ""%1""==""""  goto doneSetArgs
if "%1"=="-l" (
 goto doneSetArgs
) else (
if "%1"=="-noprompt" goto runit
"%JAVA_PROGRAM%" %PERSPROG% badarguments
goto messageout
)

:doneSetArgs
REM clean up the log, if any
echo "" > "%LOGFILE%"

if "%NOPROMPT%"=="1" goto runit

REM let's check with the user if they really want to blow away the server
"%JAVA_PROGRAM%" %PERSPROG% areyousure
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
set /p resetit=
for %%E in ("1", "y", "yes", "Y", "YES") DO IF "%resetit%"==%%E ( 
  goto runit
)
goto messageout

:runit
REM Check to see if we are running, if we are, bail
call "%DIRECTOR_HOME%lwi\bin\lwistatus" > usmsstatus
find "INACTIVE" < usmsstatus > nul
if errorlevel 1 goto isrunning

if exist "%DIRECTOR_HOME%bin\smdb.bat" (
   call "%DIRECTOR_HOME%bin\smdb.bat" start
) 

set PLATFORM_XML_FILE="%CONF_DIR%\org.eclipse.update\platform.xml"
set PLATFORM_XML_BACKUP_FILE="%CONF_DIR%\org.eclipse.update\.platform.xml.backup"
copy  /Y %PLATFORM_XML_FILE% %PLATFORM_XML_BACKUP_FILE%

REM run the file reset.. copies proddata/defaults to the data directory
call "%DIRECTOR_HOME%\lwi\bin\lwistart.bat" ^
profile.data=database,extended,USMiResource,USMiData com.ibm.lwi.profile=profile.data PDataOperation=Reset WaitToConnect=true -console=false -noSplash=true pArgs="%args%" 
set prc=%ERRORLEVEL%
cd %USERDIR%
move %PLATFORM_XML_BACKUP_FILE% %PLATFORM_XML_FILE%

"%JAVA_PROGRAM%" -cp "%DIRECTOR_HOME%\bin\pdata\pextensions.jar";"%PERSPLUGINPATHNL1%" com.ibm.usmi.kernel.persistence.Validation ExitStatus %prc%
exit /b %prc%
	
:isrunning
del usmsstatus >nul 2>&1
"%JAVA_PROGRAM%" %PERSPROG% isrunning
goto errorout
 
:interupt
cd "%BINDIR%"
if exist message.txt del message.txt > nul 2>&1
"%JAVA_PROGRAM%" %PERSPROG% ResetFailed
goto errorout

:usage
"%JAVA_PROGRAM%" %PERSPROG% helpmessage

:messageout
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
cd %USERDIR%
exit /b 0

:errorout
if exist message.txt type message.txt
if exist message.txt del message.txt > nul 2>&1
cd %USERDIR%
exit /b 1





