@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2008, 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.


SETLOCAL
SET REG_FILE=%TEMP%\agent.reg
SET REG_KEY32=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Agent\CurrentVersion
SET REG_KEY64=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\IBM\IBM Director Agent\CurrentVersion

IF EXIST %REG_FILE% DEL %REG_FILE%

start /w regedit /e "%REG_FILE%" "%REG_KEY32%"
if NOT EXIST "%REG_FILE%" start /w regedit /e "%REG_FILE%" "%REG_KEY64%"

FOR /F  "usebackq tokens=1-3* delims==" %%i IN (`type "%REG_FILE%" ^| Find "Root"`) DO (
  IF /%%i==/"Root" SET Root=%%j)
SET AGENT_DIRECTORY_ROOT=%Root:"=%

del %REG_FILE%

SET TWG_DIRECTORY_ROOT=%~dp0\..
CD /D "%TWG_DIRECTORY_ROOT%"
SET TWG_DIRECTORY_ROOT=%CD%
SET TWG_DIRECTORY_BIN=%TWG_DIRECTORY_ROOT%\bin
SET TWG_DIRECTORY_DATA=%TWG_DIRECTORY_ROOT%\data
SET USMI_PLUGINS_DIR=%TWG_DIRECTORY_ROOT%\lwi\runtime\USMiMain\eclipse\plugins
REM SET USMI_CAS_IMPL_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.director.core.kernel_6.3.0
FOR /F "usebackq tokens=1-5" %%I IN (`dir /on /ad "%USMI_PLUGINS_DIR%" ^|Find "com.ibm.director.core.kernel_"`) DO (
	FOR /F "delims=_ " %%x in ("%%L") DO (
		IF "%%x"=="com.ibm.director.core.kernel" (SET USMI_CAS_IMPL_PLUGIN=%USMI_PLUGINS_DIR%\%%L) ELSE (SET USMI_CAS_IMPL_PLUGIN=%USMI_PLUGINS_DIR%\%%M)))

REM SET USMI_LIBS_PLUGIN=%USMI_PLUGINS_DIR%\com.tivoli.twg.legacylibs_6.3.0.jar
FOR /F "usebackq tokens=1-5" %%I IN (`dir /on "%USMI_PLUGINS_DIR%" ^|Find "com.tivoli.twg.legacylibs_" ^|Find ".jar"`) DO (
	FOR /F "delims=_ " %%x in ("%%L") DO (
		IF "%%x"=="com.tivoli.twg.legacylibs" (SET USMI_LIBS_PLUGIN=%USMI_PLUGINS_DIR%\%%L) ELSE (SET USMI_LIBS_PLUGIN=%USMI_PLUGINS_DIR%\%%M)))

SET ICU_JAR=%TWG_DIRECTORY_ROOT%\lwi\runtime\agentmanager\toolkit\lib\icu4j.jar
REM SET SLP_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.usmi.services.slp_6.3.0.jar
FOR /F "usebackq tokens=1-5" %%I IN (`dir /on "%USMI_PLUGINS_DIR%" ^|Find "com.ibm.usmi.services.slp_" ^|Find ".jar"`) DO (
	FOR /F "delims=_ " %%x in ("%%L") DO (
		IF "%%x"=="com.ibm.usmi.services.slp" (SET SLP_PLUGIN=%USMI_PLUGINS_DIR%\%%L) ELSE (SET SLP_PLUGIN=%USMI_PLUGINS_DIR%\%%M)))

REM SET USMI_CASSDK_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.director.cassdk_6.3.0
FOR /F "usebackq tokens=1-5" %%I IN (`dir /on /ad "%USMI_PLUGINS_DIR%" ^|Find "com.ibm.director.cassdk_"`) DO (
	FOR /F "delims=_ " %%x in ("%%L") DO (
		IF "%%x"=="com.ibm.director.cassdk" (SET USMI_CASSDK_PLUGIN=%USMI_PLUGINS_DIR%\%%L) ELSE (SET USMI_CASSDK_PLUGIN=%USMI_PLUGINS_DIR%\%%M)))

SET CORE_PLUGINS_DIR=%TWG_DIRECTORY_ROOT%\lwi\runtime\core\eclipse\plugins
FOR /F "usebackq tokens=1-5" %%I IN (`dir /on "%CORE_PLUGINS_DIR%" ^|Find "com.ibm.logging.icl_" ^|Find ".jar"`) DO (
	SET ICL_JAR=%CORE_PLUGINS_DIR%\%%M)

set LWI_DIR=%TWG_DIRECTORY_ROOT%\lwi
call "%LWI_DIR%\bin\setJars.bat"

CD /D "%TWG_DIRECTORY_BIN%"

SET CP=%USMI_CAS_IMPL_PLUGIN%\classes\core-kernel.jar
SET CP=%CP%;%TWG_DIRECTORY_ROOT%\lwi\lib\passutils.jar
SET CP=%CP%;%TWG_DIRECTORY_ROOT%\lwi\lib\lwisecurity.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\aspectjrt.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-agent-client.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-aspects.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-manager-client-1.3.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-manager-services.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-rm-nls.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-sdk.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\cas-utils.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\CDB_UTILS.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\CDM.jar
SET CP=%CP%;%USMI_CASSDK_PLUGIN%\lib\gsl.jar
SET CP=%CP%;%WSOSGI_JAR%
SET CP=%CP%;%WEBSERVICES_JAR%
SET CP=%CP%;%ICL_JAR%
SET CP=%CP%;%TWG_DIRECTORY_ROOT%\lwi\runtime\agentmanager\toolkit\lib\guid.jar

SET CP=%CP%;%ICU_JAR%
SET CP=%CP%;%SLP_PLUGIN%
SET CP=%CP%;%USMI_LIBS_PLUGIN%

"%TWG_DIRECTORY_ROOT%\jre\bin\java.exe" -Dtwg.directory.root="%TWG_DIRECTORY_ROOT%" -Dagent.directory.root="%AGENT_DIRECTORY_ROOT%" -Djava.util.logging.config.file="%TWG_DIRECTORY_DATA%\usmi-cas-setup.properties" -cp "%CP%" com.ibm.usmi.client.cas.setup.CasSetup %*
ENDLOCAL
